Методы API
DEVELOPER PLATFORM · v1

API, с которым удобно работать

CRM, кампании, аналитика и интеграции. Точные контракты, понятные примеры и подписанные вебхуки.

Скачать OpenAPI

Private preview: API доступен с проектным ключом. Публичные SLA и сроки поддержки ещё не установлены.

GET

Подготовить профиль интеграции

/api/v1/developer/integrations/{installationId}/preparation

Возвращает auth/capability support, безопасные схемы, default mappings и текущую optimistic configVersion. Provider account и credential metadata исключены.

Право доступаintegrations.operations.read

Authorization: Bearer YOUR_PROJECT_TOKEN

Параметры

installationIdобязательно · path

stringminLength: 1 · maxLength: 160

JSON Schema
{
  "type": "string",
  "minLength": 1,
  "maxLength": 160
}

Примеры запроса

curl --request GET 'https://YOUR_NOVA_HOST/api/v1/developer/integrations/INSTALLATION_ID/preparation' --header 'Authorization: Bearer YOUR_PROJECT_TOKEN'

Ответы

200 Integration preparation
application/json

object

operationSupportобязательно
object
Вложенная схема

object

authModesобязательно
array
Вложенная схема

array

stringenum: ["oauth2","api_key","basic_auth","signed_secret"]

JSON Schema
{
  "type": "string",
  "enum": [
    "oauth2",
    "api_key",
    "basic_auth",
    "signed_secret"
  ]
}
JSON Schema
{
  "type": "array",
  "items": {
    "type": "string",
    "enum": [
      "oauth2",
      "api_key",
      "basic_auth",
      "signed_secret"
    ]
  }
}
capabilitiesобязательно
array
Вложенная схема

array

stringenum: ["initial_import","continuous_import","explicit_export","bidirectional_sync","health_check","reconcile","uninstall_cleanup"]

JSON Schema
{
  "type": "string",
  "enum": [
    "initial_import",
    "continuous_import",
    "explicit_export",
    "bidirectional_sync",
    "health_check",
    "reconcile",
    "uninstall_cleanup"
  ]
}
JSON Schema
{
  "type": "array",
  "items": {
    "type": "string",
    "enum": [
      "initial_import",
      "continuous_import",
      "explicit_export",
      "bidirectional_sync",
      "health_check",
      "reconcile",
      "uninstall_cleanup"
    ]
  }
}
JSON Schema
{
  "type": "object",
  "properties": {
    "authModes": {
      "type": "array",
      "items": {
        "type": "string",
        "enum": [
          "oauth2",
          "api_key",
          "basic_auth",
          "signed_secret"
        ]
      }
    },
    "capabilities": {
      "type": "array",
      "items": {
        "type": "string",
        "enum": [
          "initial_import",
          "continuous_import",
          "explicit_export",
          "bidirectional_sync",
          "health_check",
          "reconcile",
          "uninstall_cleanup"
        ]
      }
    }
  },
  "required": [
    "authModes",
    "capabilities"
  ],
  "additionalProperties": false
}
credentialConfiguredобязательно
boolean
schemasобязательно
array
Вложенная схема

array

object

entityTypeобязательно
stringenum: ["contact","organization","lead","deal","task","activity","note"]
externalFieldsобязательно
arraymaxItems: 100
Вложенная схема

arraymaxItems: 100

object

JSON Schema
{
  "type": "object",
  "properties": {
    "key": {
      "type": "string",
      "minLength": 1,
      "maxLength": 100
    },
    "label": {
      "type": "string",
      "minLength": 1,
      "maxLength": 160
    },
    "valueType": {
      "type": "string",
      "enum": [
        "string",
        "money",
        "reference"
      ]
    },
    "required": {
      "type": "boolean"
    }
  },
  "required": [
    "key",
    "label",
    "valueType",
    "required"
  ],
  "additionalProperties": false
}
JSON Schema
{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "key": {
        "type": "string",
        "minLength": 1,
        "maxLength": 100
      },
      "label": {
        "type": "string",
        "minLength": 1,
        "maxLength": 160
      },
      "valueType": {
        "type": "string",
        "enum": [
          "string",
          "money",
          "reference"
        ]
      },
      "required": {
        "type": "boolean"
      }
    },
    "required": [
      "key",
      "label",
      "valueType",
      "required"
    ],
    "additionalProperties": false
  },
  "maxItems": 100
}
novaFieldsобязательно
arraymaxItems: 100
Вложенная схема

arraymaxItems: 100

object

JSON Schema
{
  "type": "object",
  "properties": {
    "key": {
      "type": "string",
      "minLength": 1,
      "maxLength": 100
    },
    "label": {
      "type": "string",
      "minLength": 1,
      "maxLength": 160
    },
    "valueType": {
      "type": "string",
      "enum": [
        "string",
        "money",
        "reference"
      ]
    },
    "required": {
      "type": "boolean"
    }
  },
  "required": [
    "key",
    "label",
    "valueType",
    "required"
  ],
  "additionalProperties": false
}
JSON Schema
{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "key": {
        "type": "string",
        "minLength": 1,
        "maxLength": 100
      },
      "label": {
        "type": "string",
        "minLength": 1,
        "maxLength": 160
      },
      "valueType": {
        "type": "string",
        "enum": [
          "string",
          "money",
          "reference"
        ]
      },
      "required": {
        "type": "boolean"
      }
    },
    "required": [
      "key",
      "label",
      "valueType",
      "required"
    ],
    "additionalProperties": false
  },
  "maxItems": 100
}
defaultMappingsобязательно
arraymaxItems: 100
Вложенная схема

arraymaxItems: 100

object

JSON Schema
{
  "type": "object",
  "properties": {
    "entityType": {
      "type": "string",
      "enum": [
        "contact",
        "organization",
        "lead",
        "deal",
        "task",
        "activity",
        "note"
      ]
    },
    "externalField": {
      "type": "string",
      "minLength": 1,
      "maxLength": 100
    },
    "novaField": {
      "type": "string",
      "minLength": 1,
      "maxLength": 100
    },
    "enabled": {
      "type": "boolean"
    },
    "exportEnabled": {
      "type": "boolean",
      "default": false
    }
  },
  "required": [
    "entityType",
    "externalField",
    "novaField",
    "enabled"
  ],
  "additionalProperties": false
}
JSON Schema
{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "entityType": {
        "type": "string",
        "enum": [
          "contact",
          "organization",
          "lead",
          "deal",
          "task",
          "activity",
          "note"
        ]
      },
      "externalField": {
        "type": "string",
        "minLength": 1,
        "maxLength": 100
      },
      "novaField": {
        "type": "string",
        "minLength": 1,
        "maxLength": 100
      },
      "enabled": {
        "type": "boolean"
      },
      "exportEnabled": {
        "type": "boolean",
        "default": false
      }
    },
    "required": [
      "entityType",
      "externalField",
      "novaField",
      "enabled"
    ],
    "additionalProperties": false
  },
  "maxItems": 100
}
JSON Schema
{
  "type": "object",
  "properties": {
    "entityType": {
      "type": "string",
      "enum": [
        "contact",
        "organization",
        "lead",
        "deal",
        "task",
        "activity",
        "note"
      ]
    },
    "externalFields": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "key": {
            "type": "string",
            "minLength": 1,
            "maxLength": 100
          },
          "label": {
            "type": "string",
            "minLength": 1,
            "maxLength": 160
          },
          "valueType": {
            "type": "string",
            "enum": [
              "string",
              "money",
              "reference"
            ]
          },
          "required": {
            "type": "boolean"
          }
        },
        "required": [
          "key",
          "label",
          "valueType",
          "required"
        ],
        "additionalProperties": false
      },
      "maxItems": 100
    },
    "novaFields": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "key": {
            "type": "string",
            "minLength": 1,
            "maxLength": 100
          },
          "label": {
            "type": "string",
            "minLength": 1,
            "maxLength": 160
          },
          "valueType": {
            "type": "string",
            "enum": [
              "string",
              "money",
              "reference"
            ]
          },
          "required": {
            "type": "boolean"
          }
        },
        "required": [
          "key",
          "label",
          "valueType",
          "required"
        ],
        "additionalProperties": false
      },
      "maxItems": 100
    },
    "defaultMappings": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "entityType": {
            "type": "string",
            "enum": [
              "contact",
              "organization",
              "lead",
              "deal",
              "task",
              "activity",
              "note"
            ]
          },
          "externalField": {
            "type": "string",
            "minLength": 1,
            "maxLength": 100
          },
          "novaField": {
            "type": "string",
            "minLength": 1,
            "maxLength": 100
          },
          "enabled": {
            "type": "boolean"
          },
          "exportEnabled": {
            "type": "boolean",
            "default": false
          }
        },
        "required": [
          "entityType",
          "externalField",
          "novaField",
          "enabled"
        ],
        "additionalProperties": false
      },
      "maxItems": 100
    }
  },
  "required": [
    "entityType",
    "externalFields",
    "novaFields",
    "defaultMappings"
  ],
  "additionalProperties": false
}
JSON Schema
{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "entityType": {
        "type": "string",
        "enum": [
          "contact",
          "organization",
          "lead",
          "deal",
          "task",
          "activity",
          "note"
        ]
      },
      "externalFields": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "key": {
              "type": "string",
              "minLength": 1,
              "maxLength": 100
            },
            "label": {
              "type": "string",
              "minLength": 1,
              "maxLength": 160
            },
            "valueType": {
              "type": "string",
              "enum": [
                "string",
                "money",
                "reference"
              ]
            },
            "required": {
              "type": "boolean"
            }
          },
          "required": [
            "key",
            "label",
            "valueType",
            "required"
          ],
          "additionalProperties": false
        },
        "maxItems": 100
      },
      "novaFields": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "key": {
              "type": "string",
              "minLength": 1,
              "maxLength": 100
            },
            "label": {
              "type": "string",
              "minLength": 1,
              "maxLength": 160
            },
            "valueType": {
              "type": "string",
              "enum": [
                "string",
                "money",
                "reference"
              ]
            },
            "required": {
              "type": "boolean"
            }
          },
          "required": [
            "key",
            "label",
            "valueType",
            "required"
          ],
          "additionalProperties": false
        },
        "maxItems": 100
      },
      "defaultMappings": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "entityType": {
              "type": "string",
              "enum": [
                "contact",
                "organization",
                "lead",
                "deal",
                "task",
                "activity",
                "note"
              ]
            },
            "externalField": {
              "type": "string",
              "minLength": 1,
              "maxLength": 100
            },
            "novaField": {
              "type": "string",
              "minLength": 1,
              "maxLength": 100
            },
            "enabled": {
              "type": "boolean"
            },
            "exportEnabled": {
              "type": "boolean",
              "default": false
            }
          },
          "required": [
            "entityType",
            "externalField",
            "novaField",
            "enabled"
          ],
          "additionalProperties": false
        },
        "maxItems": 100
      }
    },
    "required": [
      "entityType",
      "externalFields",
      "novaFields",
      "defaultMappings"
    ],
    "additionalProperties": false
  }
}
profileобязательно
object | null
Вложенная схема

object | null

enabledEntityTypesобязательно
arrayminItems: 1 · maxItems: 7
Вложенная схема

arrayminItems: 1 · maxItems: 7

stringenum: ["contact","organization","lead","deal","task","activity","note"]

JSON Schema
{
  "type": "string",
  "enum": [
    "contact",
    "organization",
    "lead",
    "deal",
    "task",
    "activity",
    "note"
  ]
}
JSON Schema
{
  "type": "array",
  "items": {
    "type": "string",
    "enum": [
      "contact",
      "organization",
      "lead",
      "deal",
      "task",
      "activity",
      "note"
    ]
  },
  "minItems": 1,
  "maxItems": 7
}
conflictPolicyобязательно
stringenum: ["external_wins","nova_wins","newer_version_wins","manual_review"]
fieldMappingsобязательно
arraymaxItems: 100
Вложенная схема

arraymaxItems: 100

object

entityTypeобязательно
stringenum: ["contact","organization","lead","deal","task","activity","note"]
externalFieldобязательно
stringminLength: 1 · maxLength: 100
novaFieldобязательно
stringminLength: 1 · maxLength: 100
enabledобязательно
boolean
exportEnabled
booleandefault: false
JSON Schema
{
  "type": "object",
  "properties": {
    "entityType": {
      "type": "string",
      "enum": [
        "contact",
        "organization",
        "lead",
        "deal",
        "task",
        "activity",
        "note"
      ]
    },
    "externalField": {
      "type": "string",
      "minLength": 1,
      "maxLength": 100
    },
    "novaField": {
      "type": "string",
      "minLength": 1,
      "maxLength": 100
    },
    "enabled": {
      "type": "boolean"
    },
    "exportEnabled": {
      "type": "boolean",
      "default": false
    }
  },
  "required": [
    "entityType",
    "externalField",
    "novaField",
    "enabled"
  ],
  "additionalProperties": false
}
JSON Schema
{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "entityType": {
        "type": "string",
        "enum": [
          "contact",
          "organization",
          "lead",
          "deal",
          "task",
          "activity",
          "note"
        ]
      },
      "externalField": {
        "type": "string",
        "minLength": 1,
        "maxLength": 100
      },
      "novaField": {
        "type": "string",
        "minLength": 1,
        "maxLength": 100
      },
      "enabled": {
        "type": "boolean"
      },
      "exportEnabled": {
        "type": "boolean",
        "default": false
      }
    },
    "required": [
      "entityType",
      "externalField",
      "novaField",
      "enabled"
    ],
    "additionalProperties": false
  },
  "maxItems": 100
}
stageMappingsобязательно
arraymaxItems: 500
Вложенная схема

arraymaxItems: 500

object

externalPipelineIdобязательно
stringminLength: 1 · maxLength: 200
externalStageIdобязательно
stringminLength: 1 · maxLength: 200
novaPipelineIdобязательно
stringminLength: 1 · maxLength: 200
novaStageIdобязательно
stringminLength: 1 · maxLength: 200
JSON Schema
{
  "type": "object",
  "properties": {
    "externalPipelineId": {
      "type": "string",
      "minLength": 1,
      "maxLength": 200
    },
    "externalStageId": {
      "type": "string",
      "minLength": 1,
      "maxLength": 200
    },
    "novaPipelineId": {
      "type": "string",
      "minLength": 1,
      "maxLength": 200
    },
    "novaStageId": {
      "type": "string",
      "minLength": 1,
      "maxLength": 200
    }
  },
  "required": [
    "externalPipelineId",
    "externalStageId",
    "novaPipelineId",
    "novaStageId"
  ],
  "additionalProperties": false
}
JSON Schema
{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "externalPipelineId": {
        "type": "string",
        "minLength": 1,
        "maxLength": 200
      },
      "externalStageId": {
        "type": "string",
        "minLength": 1,
        "maxLength": 200
      },
      "novaPipelineId": {
        "type": "string",
        "minLength": 1,
        "maxLength": 200
      },
      "novaStageId": {
        "type": "string",
        "minLength": 1,
        "maxLength": 200
      }
    },
    "required": [
      "externalPipelineId",
      "externalStageId",
      "novaPipelineId",
      "novaStageId"
    ],
    "additionalProperties": false
  },
  "maxItems": 500
}
userMappingsобязательно
arraymaxItems: 250
Вложенная схема

arraymaxItems: 250

object

externalUserIdобязательно
stringminLength: 1 · maxLength: 200
novaIdentityIdобязательно
stringminLength: 1 · maxLength: 200
JSON Schema
{
  "type": "object",
  "properties": {
    "externalUserId": {
      "type": "string",
      "minLength": 1,
      "maxLength": 200
    },
    "novaIdentityId": {
      "type": "string",
      "minLength": 1,
      "maxLength": 200
    }
  },
  "required": [
    "externalUserId",
    "novaIdentityId"
  ],
  "additionalProperties": false
}
JSON Schema
{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "externalUserId": {
        "type": "string",
        "minLength": 1,
        "maxLength": 200
      },
      "novaIdentityId": {
        "type": "string",
        "minLength": 1,
        "maxLength": 200
      }
    },
    "required": [
      "externalUserId",
      "novaIdentityId"
    ],
    "additionalProperties": false
  },
  "maxItems": 250
}
configVersionобязательно
integerexclusiveMinimum: 0
scheduleModeобязательно
stringenum: ["manual","hourly","daily"]
updatedAtобязательно
stringformat: "date-time"
JSON Schema
{
  "type": [
    "object",
    "null"
  ],
  "properties": {
    "enabledEntityTypes": {
      "type": "array",
      "items": {
        "type": "string",
        "enum": [
          "contact",
          "organization",
          "lead",
          "deal",
          "task",
          "activity",
          "note"
        ]
      },
      "minItems": 1,
      "maxItems": 7
    },
    "conflictPolicy": {
      "type": "string",
      "enum": [
        "external_wins",
        "nova_wins",
        "newer_version_wins",
        "manual_review"
      ]
    },
    "fieldMappings": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "entityType": {
            "type": "string",
            "enum": [
              "contact",
              "organization",
              "lead",
              "deal",
              "task",
              "activity",
              "note"
            ]
          },
          "externalField": {
            "type": "string",
            "minLength": 1,
            "maxLength": 100
          },
          "novaField": {
            "type": "string",
            "minLength": 1,
            "maxLength": 100
          },
          "enabled": {
            "type": "boolean"
          },
          "exportEnabled": {
            "type": "boolean",
            "default": false
          }
        },
        "required": [
          "entityType",
          "externalField",
          "novaField",
          "enabled"
        ],
        "additionalProperties": false
      },
      "maxItems": 100
    },
    "stageMappings": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "externalPipelineId": {
            "type": "string",
            "minLength": 1,
            "maxLength": 200
          },
          "externalStageId": {
            "type": "string",
            "minLength": 1,
            "maxLength": 200
          },
          "novaPipelineId": {
            "type": "string",
            "minLength": 1,
            "maxLength": 200
          },
          "novaStageId": {
            "type": "string",
            "minLength": 1,
            "maxLength": 200
          }
        },
        "required": [
          "externalPipelineId",
          "externalStageId",
          "novaPipelineId",
          "novaStageId"
        ],
        "additionalProperties": false
      },
      "maxItems": 500
    },
    "userMappings": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "externalUserId": {
            "type": "string",
            "minLength": 1,
            "maxLength": 200
          },
          "novaIdentityId": {
            "type": "string",
            "minLength": 1,
            "maxLength": 200
          }
        },
        "required": [
          "externalUserId",
          "novaIdentityId"
        ],
        "additionalProperties": false
      },
      "maxItems": 250
    },
    "configVersion": {
      "type": "integer",
      "exclusiveMinimum": 0
    },
    "scheduleMode": {
      "type": "string",
      "enum": [
        "manual",
        "hourly",
        "daily"
      ]
    },
    "updatedAt": {
      "type": "string",
      "format": "date-time"
    }
  },
  "required": [
    "enabledEntityTypes",
    "conflictPolicy",
    "fieldMappings",
    "stageMappings",
    "userMappings",
    "configVersion",
    "scheduleMode",
    "updatedAt"
  ],
  "additionalProperties": false
}
JSON Schema
{
  "type": "object",
  "properties": {
    "operationSupport": {
      "type": "object",
      "properties": {
        "authModes": {
          "type": "array",
          "items": {
            "type": "string",
            "enum": [
              "oauth2",
              "api_key",
              "basic_auth",
              "signed_secret"
            ]
          }
        },
        "capabilities": {
          "type": "array",
          "items": {
            "type": "string",
            "enum": [
              "initial_import",
              "continuous_import",
              "explicit_export",
              "bidirectional_sync",
              "health_check",
              "reconcile",
              "uninstall_cleanup"
            ]
          }
        }
      },
      "required": [
        "authModes",
        "capabilities"
      ],
      "additionalProperties": false
    },
    "credentialConfigured": {
      "type": "boolean"
    },
    "schemas": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "entityType": {
            "type": "string",
            "enum": [
              "contact",
              "organization",
              "lead",
              "deal",
              "task",
              "activity",
              "note"
            ]
          },
          "externalFields": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "key": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 100
                },
                "label": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 160
                },
                "valueType": {
                  "type": "string",
                  "enum": [
                    "string",
                    "money",
                    "reference"
                  ]
                },
                "required": {
                  "type": "boolean"
                }
              },
              "required": [
                "key",
                "label",
                "valueType",
                "required"
              ],
              "additionalProperties": false
            },
            "maxItems": 100
          },
          "novaFields": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "key": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 100
                },
                "label": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 160
                },
                "valueType": {
                  "type": "string",
                  "enum": [
                    "string",
                    "money",
                    "reference"
                  ]
                },
                "required": {
                  "type": "boolean"
                }
              },
              "required": [
                "key",
                "label",
                "valueType",
                "required"
              ],
              "additionalProperties": false
            },
            "maxItems": 100
          },
          "defaultMappings": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "entityType": {
                  "type": "string",
                  "enum": [
                    "contact",
                    "organization",
                    "lead",
                    "deal",
                    "task",
                    "activity",
                    "note"
                  ]
                },
                "externalField": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 100
                },
                "novaField": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 100
                },
                "enabled": {
                  "type": "boolean"
                },
                "exportEnabled": {
                  "type": "boolean",
                  "default": false
                }
              },
              "required": [
                "entityType",
                "externalField",
                "novaField",
                "enabled"
              ],
              "additionalProperties": false
            },
            "maxItems": 100
          }
        },
        "required": [
          "entityType",
          "externalFields",
          "novaFields",
          "defaultMappings"
        ],
        "additionalProperties": false
      }
    },
    "profile": {
      "type": [
        "object",
        "null"
      ],
      "properties": {
        "enabledEntityTypes": {
          "type": "array",
          "items": {
            "type": "string",
            "enum": [
              "contact",
              "organization",
              "lead",
              "deal",
              "task",
              "activity",
              "note"
            ]
          },
          "minItems": 1,
          "maxItems": 7
        },
        "conflictPolicy": {
          "type": "string",
          "enum": [
            "external_wins",
            "nova_wins",
            "newer_version_wins",
            "manual_review"
          ]
        },
        "fieldMappings": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "entityType": {
                "type": "string",
                "enum": [
                  "contact",
                  "organization",
                  "lead",
                  "deal",
                  "task",
                  "activity",
                  "note"
                ]
              },
              "externalField": {
                "type": "string",
                "minLength": 1,
                "maxLength": 100
              },
              "novaField": {
                "type": "string",
                "minLength": 1,
                "maxLength": 100
              },
              "enabled": {
                "type": "boolean"
              },
              "exportEnabled": {
                "type": "boolean",
                "default": false
              }
            },
            "required": [
              "entityType",
              "externalField",
              "novaField",
              "enabled"
            ],
            "additionalProperties": false
          },
          "maxItems": 100
        },
        "stageMappings": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "externalPipelineId": {
                "type": "string",
                "minLength": 1,
                "maxLength": 200
              },
              "externalStageId": {
                "type": "string",
                "minLength": 1,
                "maxLength": 200
              },
              "novaPipelineId": {
                "type": "string",
                "minLength": 1,
                "maxLength": 200
              },
              "novaStageId": {
                "type": "string",
                "minLength": 1,
                "maxLength": 200
              }
            },
            "required": [
              "externalPipelineId",
              "externalStageId",
              "novaPipelineId",
              "novaStageId"
            ],
            "additionalProperties": false
          },
          "maxItems": 500
        },
        "userMappings": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "externalUserId": {
                "type": "string",
                "minLength": 1,
                "maxLength": 200
              },
              "novaIdentityId": {
                "type": "string",
                "minLength": 1,
                "maxLength": 200
              }
            },
            "required": [
              "externalUserId",
              "novaIdentityId"
            ],
            "additionalProperties": false
          },
          "maxItems": 250
        },
        "configVersion": {
          "type": "integer",
          "exclusiveMinimum": 0
        },
        "scheduleMode": {
          "type": "string",
          "enum": [
            "manual",
            "hourly",
            "daily"
          ]
        },
        "updatedAt": {
          "type": "string",
          "format": "date-time"
        }
      },
      "required": [
        "enabledEntityTypes",
        "conflictPolicy",
        "fieldMappings",
        "stageMappings",
        "userMappings",
        "configVersion",
        "scheduleMode",
        "updatedAt"
      ],
      "additionalProperties": false
    }
  },
  "required": [
    "operationSupport",
    "credentialConfigured",
    "schemas",
    "profile"
  ],
  "additionalProperties": false,
  "$ref": "#/components/schemas/DeveloperIntegrationPreparation"
}
400 Invalid integration preparation request
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titleобязательно
string
statusобязательно
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}
401 Invalid developer credential
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titleобязательно
string
statusобязательно
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}
403 Integration preparation access unavailable
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titleобязательно
string
statusобязательно
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}
404 Integration installation not found
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titleобязательно
string
statusобязательно
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}
429 Developer API rate limit exceeded
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titleобязательно
string
statusобязательно
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}
503 Developer API rate limiter unavailable
application/problem+json

object

type
stringformat: "uri" · default: "about:blank"
titleобязательно
string
statusобязательно
integerminimum: 100 · maximum: 599
detail
string
instance
string
errors
object
JSON Schema
{
  "type": "object",
  "properties": {
    "type": {
      "type": "string",
      "format": "uri",
      "default": "about:blank"
    },
    "title": {
      "type": "string"
    },
    "status": {
      "type": "integer",
      "minimum": 100,
      "maximum": 599
    },
    "detail": {
      "type": "string"
    },
    "instance": {
      "type": "string"
    },
    "errors": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "title",
    "status"
  ]
}